Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::PlugSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Plug. More...

`#include <xfc/gtk/plugsignals.hh>`

Inheritance diagram for Xfc::Gtk::PlugSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_embedded ()
    Called when a plug is embedded into a socket.

## Protected Member Functions

Constructors

- PlugSignals (Plug *plug)
    Constructs a new PlugSignals object.
- virtual ~PlugSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Plug.

## Constructor & Destructor Documentation

Xfc::Gtk::PlugSignals::PlugSignals | ( | Plug * | plug | ) | `[protected]`

Constructs a new PlugSignals object.

Parameters:

  | plug | A Plug object inheriting the PlugSignals implementation.

The documentation for this class was generated from the following file:

- plugsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3